package locadora.modelo.user;

import static junit.framework.Assert.assertTrue;
import static org.junit.Assert.assertEquals;

import org.hibernate.validator.AssertTrue;
import org.junit.Before;
import org.junit.Test;


public class UserTest {
	private User usuario;
	  
	@Before
	public void criaIndicacao() {
		usuario = new User("Paulo","123","Rua","a@a");
		
	}
	
	@Test
	public void testaQueOUsuarioTemNome() {
		assertEquals("Usuário deve ter nome Paulo", "Paulo", usuario.getNome());
	}
	@Test
	public void testaQueOUsuarioTemSenha() {
		assertEquals("Usuário deve ter senha 123", "123", usuario.getSenha());
	}
	@Test
	public void testaQueOUsuarioTemEndereco() {
		assertEquals("Usuário deve ter endereço Rua", "Rua", usuario.getEndereco());
	}
	@Test
	public void testaQueOUsuarioTemEmail() {
		assertEquals("Usuário deve ter email a@a", "a@a", usuario.getEmail());
	}
	@Test
	public void testaSeOEmaEValidado(){
		assertTrue("O Email deve ser válido", usuario.validaEmail("aaa@com.br"));

	}
}
